{assign var="oUser" value=$oComment->getUser()}
{assign var="oVote" value=$oComment->getVote()}


<section id="comment_id_{$oComment->getId()}" class="comment
														{if $oComment->isBad()}
															comment-bad
														{/if}

														{if $oComment->getDelete()}
															comment-deleted
														{elseif $oUserCurrent and $oComment->getUserId() == $oUserCurrent->getId()} 
															comment-self
														{elseif $sDateReadLast <= $oComment->getDate()} 
															comment-new
														{/if}">
	{if !$oComment->getDelete() or $bOneComment or ($oUserCurrent and $oUserCurrent->isAdministrator())}
		<a name="comment{$oComment->getId()}"></a>
		
		<div class="folding"></div>

        <ul class="menu-top">
            <li class="avatar"><a href="{$oUser->getUserWebPath()}"><img src="{$oUser->getProfileAvatarPath(48)}" title="{$oUser->getLogin()}" alt="avatar" /></a></li>
            <li class="username"><a href="{$oUser->getUserWebPath()}">{$oUser->getLogin()}</a></li>
            <li class="date">{$aLang.comment_write} <span>
				<time datetime="{date_format date=$oComment->getDate() format='c'}" title="{date_format date=$oComment->getDate() format="j F Y, H:i"}">
					{date_format date=$oComment->getDate() hours_back="12" minutes_back="60" now="60" day="day H:i" format="j F Y, H:i"}
				</time>
            </span></li>

			{if $oComment->getTargetType() != 'talk'}
				<li id="vote_area_comment_{$oComment->getId()}" class="voting
																		{if $oComment->getRating() > 0}
																			vote-count-positive
																		{elseif $oComment->getRating() < 0}
																			vote-count-negative
																		{/if}

																		{if (strtotime($oComment->getDate()) < $smarty.now - $oConfig->GetValue('acl.vote.comment.limit_time') && !$oVote) || ($oUserCurrent && $oUserCurrent->getId() == $oUser->getId())}
																			vote-expired
																		{/if}

																		{if $oVote}
																			voted

																			{if $oVote->getDirection() > 0}
																				voted-up
																			{else}
																				voted-down
																			{/if}
																		{/if}">
					<div class="vote-up" onclick="return ls.vote.vote({$oComment->getId()},this,1,'comment');"></div>
					<span class="vote-count" id="vote_total_comment_{$oComment->getId()}">{if $oComment->getRating() > 0}+{/if}{$oComment->getRating()}</span>
					<div class="vote-down" onclick="return ls.vote.vote({$oComment->getId()},this,-1,'comment');"></div>
				</li>
			{/if}
    		{if $oUserCurrent and !$bNoCommentFavourites}
				<li class="favor">
					<div onclick="return ls.favourite.toggle({$oComment->getId()},this,'comment');" class="favourite {if $oComment->getIsFavourite()}active{/if}"></div>
					<span class="favourite-count" id="fav_count_comment_{$oComment->getId()}">{if $oComment->getCountFavourite() > 0}{$oComment->getCountFavourite()}{/if}</span>
				</li>
    		{/if}
    	    <li class="comment-link" title="{$aLang.comment_link}"><a href="{if $oConfig->GetValue('module.comment.nested_per_page')}{router page='comments'}{else}#comment{/if}{$oComment->getId()}"></a></li>
        </ul>

        <div id="comment_content_id_{$oComment->getId()}" class="comment-content">
    		{if $oComment->isBad()}
    			<div style="display: none; color:#b9b9b9" id="comment_text_{$oComment->getId()}">
    				{$oComment->getText()}
    			</div>
    			 <a href="#" onclick="jQuery('#comment_text_{$oComment->getId()}').show();jQuery(this).hide();return false;">{$aLang.comment_bad_open}</a>
    		{else}
    			<div class="text">
    				{$oComment->getText()}
    			</div>
    		{/if}
    	</div>

        <div id="info_edit_{$oComment->getId()}" class="info_edit" {if !$oComment->getCommentEditUserId()} style="display: none;"{/if}>
            {if $oComment->getCommentEditUserId()}
            {assign var="oUserEdit" value=$oComment->getEditUserLogin()}
            {$aLang.plugin.ec.ce_comment_info_edit_user|ls_lang:"login%%`$oUserEdit->getLogin()`":"date%%`$oComment->getCommentDateEdit()`"}
	    {/if}
        </div>

        {if $oUserCurrent}
          <ul class="comment-info">
            {hook run='comment_action' comment=$oComment}
            {if !$oComment->getDelete() and $oUserCurrent and $oUserCurrent->isAdministrator()}
                <li><a href="#" class="delete" onclick="ls.comments.toggle(this,{$oComment->getId()}); return false;">{$aLang.comment_delete}</a></li>
            {/if}
            {if $oComment->getDelete() and $oUserCurrent and $oUserCurrent->isAdministrator()}
                <li><a href="#" class="repair" onclick="ls.comments.toggle(this,{$oComment->getId()}); return false;">{$aLang.comment_repair}</a></li>
            {/if}
            {if $oUserCurrent and !$oComment->getDelete() and !$bAllowNewComment}
                <li class="anwr"><a href="#" onclick="ls.comments.toggleCommentForm({$oComment->getId()}); return false;">{$aLang.comment_answer}</a></li>
            {/if}
          </ul>
        {/if}
	{else}
		{$aLang.comment_was_delete}
	{/if}	
</section>